package com.hungraim.ltc.account.service;

import com.baomidou.mybatisplus.extension.api.R;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hungraim.ltc.pojo.entity.account.*;
import com.hungraim.ltc.pojo.entity.governance.ChSrvPlan;
import com.hungraim.ltc.pojo.vo.account.*;

import com.hungraim.ltc.pojo.vo.disable.PlaceOtherVO;
import com.hungraim.ltc.util.Result;
import org.apache.poi.ss.usermodel.Workbook;

import java.text.ParseException;
import java.util.List;

public interface AccountService extends IService<ChDisabAccounts> {

    /**
     * 添加或修改结算记录
     */
    void addOrUpdateAccount(AccountOperVo accountOperVo);

    Page<SrvOrganListResp> searchSrvOrganList(SrvOrganListReq srvOrganListReq);

    Page<SrvOrganAccountListResp> searchSrvOrganAccountList(SrvOrganListReq srvOrganListReq);

    Page<SrvTaskRespVO> getSrvTaskList(SrvTaskReqVO srvTaskReqVO);

    AccountOperVo getSrvOrganDetail(Long accountsId);

    ExpenseVo expenseSettlement(ExpenseSettlementReq req) throws ParseException;

    Workbook srvOrganAccountExport(SrvOrganListReq req);





    Page<NursingRecordsRespVO> queryNursingRecords(NursingReqVO nursingReqVO);

    OverallEduceDecreaseCostRespVO queryOverallCostRecords(OverallCostReqVO req);


    Page<OverallCostListRespVO> queryFreeRdInfo(OverallCostReqVO req);

    int  overallCostSubmit(OverallCostSubmitReqVO req);

    int updateChDisabAccounts(int id);



    Result accountTaskExecute(List<AccountTaskExecuteReqVO> accountTaskExecuteReqVOS);

    void otherPlaceHandler(String programId);

    int deleteAccountsDetail(Long accountsDetailId,Long freeRdId);

    int accountsFreeCommit(Long accountsDetailId);

    int delayAccountCommit(Long accountsDetailId,Short status);

    Page<ChDisabDetailAccountsResp> queryOrganAccountsDetail(Integer pageNum, Integer pageSize,SrvOrganListReq srvOrganListReq);


    Result placeOtherApply(Integer disabInfoId, String otherApplyTime);

    Page<PlaceOtherVO> placeOtherQuery(Page page, String name, String certiCode);

    void placeOtherTaskQuery();

    //退回
    Result accountReturn(SrvTaskRespVO srvTaskRespVO);
}
