package com.hungraim.ltc.controller;

import com.hungraim.ltc.redis.RedisLock;
import com.hungraim.ltc.service.DisableService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author zwl
 * @ClassName DisableSch
 * @description
 * @date 2023/3/31 15:22
 **/

@Component
@EnableAsync
@Slf4j
public class DisableScheduledController {

    @Autowired
    private RedisLock redisLock;

    @Autowired
    private DisableService disableService;

    public static final String JOB_KEY = "redis.job.task:exitTask";


    @Scheduled(cron = "0 12 00 * * ?")
    public void disableExitTask() {
        boolean flag = redisLock.tryLock(JOB_KEY, 1000*30);
        if(flag){
            log.info("disableExitTask========start:{}");
            disableService.disableExitTask();
            log.info("disableExitTask========end:{}");
        }
    }



}
