package com.hungraim.ltc.pojo.entity.serviceManage;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * CH_SRV_ORGAN_EMP
 * @author 
 */
@Data
@TableName("CH_SRV_ORGAN_EMP")
@KeySequence("SEQ_CH_SRV_ORGAN_EMP")
public class ChSrvOrganEmp implements Serializable {
    /**
     * 护理人员id
     */
    @TableId(type = IdType.INPUT)
    private Long empId;

    /**
     * 护理人员姓名
     */
    private String empName;

    /**
     * 机构代码
     */
    private String organId;

    /**
     * 护理机构id
     */
    private Long srvOrganId;

    /**
     * 证件类型
     */
    private String certifType;

    /**
     * 证件号码
     */
    private String certifNum;

    /**
     * 性别   男：M；女：F；不确定 N
     */
    private String gender;

    /**
     * 年龄
     */
    private Short age;

    /**
     * 人员资质
     */
    private Long empTypeId;

    /**
     * 创建人
     */
    private Long defineEmp;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date effTime;

    /**
     * 终止人
     */
    private Long endEmp;

    /**
     * 终止时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date endTime;

    /**
     * 首次操作时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date fcd;

    /**
     * 首次操作人
     */
    private Long fcu;

    /**
     * 末次操作时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date lcd;

    /**
     * 末次操作人
     */
    private Long lcu;

    /**
     * 是否失效 有效：0；失效：1
     */
    private Short isLock;

    /**
     * 数据来源 网厅：0，核心：1
     */
    private Short dataFrom;

    /**
     * 网厅创建人
     */
    private Long webDefineEmp;

    /**
     * 网厅终止人
     */
    private Long webEndEmp;

    /**
     * 用户类型 护理人员：0；管理人员：1
     */
    private Short empType;

    /**
     * 手机号码
     */
    private String mobilePhone;

    /**
     * 学历
     */
    private Long eduId;

    /**
     * 职称
     */
    private Long acdeId;

    /**
     * 一级人员资质
     */
    private Long bigEmpTypeId;

    /**
     * 服务配置模式ID
     */
    private Long cfgModeId;

    /**
     * 人员id
     */
    private Long basicEmpId;

    /**
     * 是否白名单 是：0；否：1
     */
    private Short whiteList;

    /**
     * 员工密码
     */
    private String empPwd;


    private static final long serialVersionUID = 1L;
}