package com.hungraim.ltc.pojo.entity.serviceManage;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.sql.Clob;
import java.util.Date;

/**
 * CH_SRV_TASK_DETAIL
 * @author 
 */
@Data
@TableName("CH_SRV_TASK_DETAIL")
@KeySequence("SEQ_CH_SRV_TASK_DETAIL")
public class ChSrvTaskDetail implements Serializable {
    /**
     * 服务明细id
     */
    @TableId(type = IdType.INPUT)
    private Long taskDetailId;

    /**
     * 服务任务id
     */
    private Long srvTaskId;

    /**
     * 状态    未执行：0；执行中：1；已执行:2;已失效：3；已完成：4
     */
    private Short status;

    /**
     * 创建人
     */
    private Long defineEmp;

    /**
     * 创建时间
     */
    private Date effTime;

    /**
     * 终止人
     */
    private Long endEmp;

    /**
     * 终止时间
     */
    private Date endTime;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Long fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Long lcu;

    /**
     * 服务开始时间
     */
    private Date srvStartTime;

    /**
     * 服务结束时间
     */
    private Date srvEndTime;

    /**
     * 服务时长
     */
    private Long srvTime;

    /**
     * 服务图片开始路径
     */
    private String srvStartPic;

    /**
     * 服务图片结束路径
     */
    private String srvEndPic;

    /**
     * 备注
     */
    private String remark;

    /**
     * 服务评分
     */
    private String srvScore;

    /**
     * 类型   分配：0；移动添加：1
     */
    private Short taskType;

    /**
     * 数据来源 网厅：0，核心：1
     */
    private Short dataFrom;

    /**
     * 网厅创建人
     */
    private Long webDefineEmp;

    /**
     * 网厅终止人
     */
    private Long webEndEmp;

    /**
     * 服务日期
     */
    private Date srvDate;

    /**
     * 服务金额
     */
    private Long srvAmount;

    /**
     * 自费金额
     */
    private Long selfAmount;

    /**
     * 经度(弃用)
     */
    private String longitudeCode;

    /**
     * 纬度(弃用)
     */
    private String latitudeCode;

    /**
     * 服务时长项目开始时间
     */
    private Date srvTimeStartTime;

    /**
     * 服务时长项目结束时间
     */
    private Date srvTimeEndTime;

    /**
     * 服务时长项目开始图片路径
     */
    private String srvTimeStartPic;

    /**
     * 服务时长项目结束图片路径
     */
    private String srvTimeEndPic;

    /**
     * 时长收费项目时长
     */
    private Long srvTimeCharge;

    /**
     * 时长收费任务备注
     */
    private String srvTimeRemark;

    /**
     * 任务完成标识 默认0
     */
    private String finishFlag;

    /**
     * 稽核结果（0,正常;1,异常;2,可疑）
     */
    private Short auditResult;

    /**
     * 稽核备注
     */
    private String auditRemark;

    /**
     * 稽核时间
     */
    private Date auditDate;

    /**
     * 违规类型（全部：0；基础护理：1；日常照护：2）
     */
    private Short illegalType;

    /**
     * 违规备注
     */
    private String illegalRemark;

    /**
     * 违规录入人ID
     */
    private Long illegalreEmp;

    /**
     * 违规录入姓名
     */
    private String illegalreName;

    /**
     * 违规录入时间
     */
    private Date illegalreTime;

    /**
     * 违规结算标记（0，未结算；1，已结算）
     */
    private Short accountSign;

    /**
     * 任务类型(1基础护理、2日常照护项目、3其它、4巡诊)
     */
    private Short taskDetailType;

    /**
     * 服务时长项目开始图片路径
     */
    private String srvStartPic2;

    private Short isClock;

    private String clockReason;

    private String clockOperator;

    private static final long serialVersionUID = 1L;
}