package com.hungraim.ltc.governance.controller;

import com.hungraim.ltc.governance.service.SrvTaskService;
import com.hungraim.ltc.redis.RedisLock;
import com.hungraim.ltc.util.DateUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author zwl
 * @ClassName SrvTaskScheduledController
 * @description
 * @date 2023/3/9 21:08
 **/
@Component
@EnableAsync
@Slf4j
public class SrvTaskScheduledController {

    @Autowired
    private SrvTaskService srvTaskService;

    @Autowired
    private RedisLock redisLock;



    public static final String JOB_KEY = "redis.job.task:srvTask";



     @Scheduled(cron = "0 20 23 * * ?")
    public void timeAllocationSrvTask() {
        boolean flag = redisLock.tryLock(JOB_KEY, 1000*30);
        if(flag){
            String nextDay = DateUtils.getNextDay();
            log.info("timeAllocationSrvTask========start:{}",nextDay);
            srvTaskService.timeAllocationSrvTask(nextDay);
            log.info("timeAllocationSrvTask========end:{}");
        }

    }



}
