package com.hungraim.ltc.governance.dao;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSrvProgram;
import com.hungraim.ltc.pojo.vo.governance.ProgramDetailVo;
import com.hungraim.ltc.pojo.vo.governance.ProgramListVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface ChSrvProgramMapper extends BaseMapper<ChSrvProgram> {

    /**
     * 个人照护方案列表查询
     *
     * @param page          分页参数
     * @param disabInfoId   失能人员id
     * @param srvOrganId    服务机构id
     * @param programStatus 服务方案状态  0：未生效、1：已生效、2：已终止
     * @return 返回个人照护方案列表
     */
    Page<ProgramListVo> getProgramList(Page<ProgramListVo> page, @Param("disabInfoId") Long disabInfoId, @Param("srvOrganId") Long srvOrganId, @Param("srvSendId")Long srvSendId ,@Param("programStatus") String programStatus);

    /**
     * 查看服务方案详情
     *
     * @param programId 方案id
     * @return 返回服务方案详情
     */
    ProgramDetailVo getProgramDetail(@Param("programId") Long programId);

    /**
     * 添加服务方案时需要展示的相关信息
     *
     * @param disabInfoId 失能人员id
     * @param srvOrganId  服务机构id
     * @return 返回服务方案详情
     */
    ProgramDetailVo getProgramDetailWithAdd(@Param("disabInfoId") Long disabInfoId, @Param("srvOrganId") Long srvOrganId);


    List<ChSrvProgram> getProgramEndProgram();

}