package com.hungraim.ltc.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hungraim.ltc.constant.AuthConstants;
import com.hungraim.ltc.pojo.entity.system.SystemInterface;
import com.hungraim.ltc.pojo.entity.system.SystemResourceinterface;
import com.hungraim.ltc.pojo.entity.system.SystemRoleResource;
import com.hungraim.ltc.system.dao.SystemInterfaceMapper;
import com.hungraim.ltc.system.service.ISystemInterfaceService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;

import java.util.*;
import java.util.stream.Collectors;

/**
 * @author mq
 */
@Service
@Slf4j
public class SystemInterfaceServiceImpl extends ServiceImpl<SystemInterfaceMapper, SystemInterface> implements ISystemInterfaceService {

    private final SystemInterfaceMapper systemInterfaceMapper;


    private final SystemResourceServiceImpl systemResourceService;
    private final RedisTemplate redisTemplate;

    @Autowired
    public SystemInterfaceServiceImpl(SystemInterfaceMapper systemInterfaceMapper, SystemResourceServiceImpl systemResourceService, RedisTemplate redisTemplate) {
        this.systemInterfaceMapper = systemInterfaceMapper;
        this.systemResourceService = systemResourceService;
        this.redisTemplate = redisTemplate;
    }

    @Override
    public void listResourceInterface() {

            redisTemplate.delete(AuthConstants.PERMISSION_RESOURCE_INTERFACE_KEY);
            redisTemplate.delete(AuthConstants.PERMISSION_ROLES_RESOURCE_KEY);
            redisTemplate.delete(AuthConstants.PERMISSION_RESOURCE_STATUS_KEY);
            Map<String, List<SystemRoleResource>> roleResourcesMap = new TreeMap<>();
            Map<String, List<String>> stringStringHashMap = new HashMap<>();
            Map<String, String> interfaceHashMap = new HashMap<>();
            //角色数据
            List<Long> roles = systemInterfaceMapper.listRole();
            //角色和资源数据
            List<SystemRoleResource> roleResources = systemInterfaceMapper.listRoleResource();
            //资源和接口数据
            List<SystemResourceinterface> resourceInterface = systemInterfaceMapper.listResourceInterface();
            //接口数据
            List<SystemInterface> systemInterfaces = systemInterfaceMapper.listInterface();
            systemInterfaces.stream().forEach(systemInterface -> interfaceHashMap.put(systemInterface.getInterfaceUrl(),systemInterface.getInterceptionStatus().toString()));
            roles.stream().forEach(role -> {
                //角色和资源数据
                List<SystemRoleResource> roleResourceList = roleResources.stream().filter(roleResource -> roleResource.getRoleId().equals(role)).collect(Collectors.toList());
                roleResourceList.stream().forEach(roleResource -> {
                    //资源和接口数据
                    List<SystemResourceinterface> resourceinterfaceList = resourceInterface.stream().filter(role2 -> role2.getResourceId().equals(roleResource.getResourceId())).collect(Collectors.toList());
                    List<String> systemResourceinterfaces = new ArrayList<>();
                        resourceinterfaceList.stream().forEach(resourceinterface->{
                            List<SystemInterface> collect = systemInterfaces.stream().filter(role2 -> role2.getInterfaceId().equals(resourceinterface.getInterfaceId())).collect(Collectors.toList());
                          if(collect.size()>0) {
                              systemResourceinterfaces.add(collect.get(0).getInterfaceUrl());
                          }
                        });
                     //资源和接口
                    stringStringHashMap.put(roleResource.getResourceId().toString(),systemResourceinterfaces);

                    });
                //角色和资源
                roleResourcesMap.put(AuthConstants.AUTHORITY_PREFIX + role.toString(),roleResourceList);
                });
            redisTemplate.opsForHash().putAll(AuthConstants.PERMISSION_RESOURCE_STATUS_KEY, interfaceHashMap);
            redisTemplate.opsForHash().putAll(AuthConstants.PERMISSION_ROLES_RESOURCE_KEY, roleResourcesMap);
            redisTemplate.opsForHash().putAll(AuthConstants.PERMISSION_RESOURCE_INTERFACE_KEY, stringStringHashMap);

    }
}
